System 2.0.0.0 4.0.0.0 System.Enum

This type describes the asynchronous socket operation that was most recently completed using a object. The value of the property is set to until the instance is used to begin an asynchronous socket operation. The property will then be set to the type of asynchronous operation being performed. This type more easily facilitates using a single completion callback delegate for multiple kinds of asynchronous socket operations. This type is intended for use in the SocketAsyncCallback completion routine.

The type is used by the property.

The type of asynchronous socket operation most recently performed with this context object.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  A socket Accept operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  A socket Connect operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  A socket Disconnect operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  None of the socket operations.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  A socket Receive operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  A socket ReceiveFrom operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  A socket ReceiveMessageFrom operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  A socket Send operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  A socket SendPackets operation.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketAsyncOperation

  A socket SendTo operation.